package com.huyi.service.credit.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface OwnCreditMapper {


    /**
     * 查询融资
     * @param page
     * @param map
     * @return
     */
    public IPage<Map> selectCreditList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询核心开立授信额度
     * @param map
     * @return
     */
    List<Map> selectCreditLineList(Map map);

    /**
     * 获取供应商开立的授信额度
     * @param map
     * @return
     */
    List<Map> selectSupplierCreditLineList(Map map);


    /**
     * 查询核心开立接收方
     *
     * @param page
     * @param map
     * @return
     */
    public IPage<Map> getReceiverList(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询核心开立应付账款
     * @param map
     * @return
     */
    public IPage<Map> getAccountsPay(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询融资开立应收账款
     * @param page
     * @param map
     * @return
     */
    public IPage<Map> getAccountsCollection(Page<Map> page, @Param("paramMap") Map map);

    /**
     * 查询核心已用额度
     * @param map
     * @return
     */
    String getUsedBalance(Map map);

    /**
     * 查询供应商已用额度
     * @param map
     * @return
     */
    String getSupplierUsedBalance(Map map);




}
